<?php
/**
 * Created by PhpStorm.
 * User: joseortiz
 * Date: 10/15/18
 * Time: 8:29 p.m.
 */
include '../comun/validarSesion.php';

if (isset($_REQUEST['token']) && isset($_REQUEST['id_remitente']) && isset($_REQUEST['id_destinatario'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_conversacion'])){
            $id_conversacion = $_REQUEST['id_conversacion'];
            $conversacion1  = R::load('conversacion', $id_conversacion);
            if ($conversacion1){
                if ($conversacion1->estado == 0){
                    include '../comun/mensajeNoCorresponde.php';
                    return;
                }

            }
        }else{
            $conversacion = R::dispense('conversacion');
            $conversacion->id_remitente = $_REQUEST['id_remitente'];
            $conversacion->id_destinatario = $_REQUEST['id_destinatario'];
            $conversacion->fechaRegistro = date('Y-m-d H:i:s');
            $conversacion->estado = 1;
            $idcon = R::store($conversacion);
        }
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $id_remitente = $_REQUEST['id_remitente'];
        $id_destinatario = $_REQUEST['id_destinatario'];
        $opciones  = R::findAll( 'mensaje', 'id_remitente =:id_remitente AND id_destinatario =:id_destinatario ',array('id_remitente' => $id_remitente, 'id_destinatario' => $id_destinatario));
        $usuario  = R::load('usuario', $id_remitente);
        $remitente = [];
        $remitente1['foto_perfil'] = $usuario->foto_perfil;
        $remitente1['nombre'] = $usuario->nombre;
        $remitente1['apellido'] = $usuario->apellido;
        $remitente = $remitente1;
        $usuario  = R::load('usuario', $id_destinatario);
        $destinatario= [];
        $destinatario1['foto_perfil'] = $usuario->foto_perfil;
        $destinatario1['nombre'] = $usuario->nombre;
        $destinatario1['apellido'] = $usuario->apellido;
        $destinatario=$destinatario1;
        $respuestas['remitente'] = $remitente;
        $respuestas['destinatario'] = $destinatario;
        $respuestas['respuestas'] = $opciones;
        include '../comun/mensajeOk.php';
        print_r(json_encode($respuestas));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}